Skip to main content
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
ehr-event
/
{friendly_id}
Receive Ehr Event Step
curl --request POST \
  --url https://api.example.com/api/v1/campaigns/{campaign_id}/ehr-event/{friendly_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_data": {},
  "target_id": "<string>",
  "external_id": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/campaigns/{campaign_id}/ehr-event/{friendly_id}"

payload = {
"event_data": {},
"target_id": "<string>",
"external_id": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({event_data: {}, target_id: '<string>', external_id: '<string>'})
};

fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/ehr-event/{friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

campaign_id
string
required

The ID of the campaign.

friendly_id
string
required

The friendly ID of the step.

Body

application/json
event_type
enum<string>
required

The type of EHR event.

Available options:
appointment_created,
appointment_cancelled,
patient_registered
event_data
Event Data · object
target_id
string | null

Optional target ID.

external_id
string | null

Optional external ID.

Response

Successful Response